curl -X GET https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const profile = await response.json();
{
"id": "user_abc123def456",
"email": "user@example.com",
"firstName": "Jane",
"lastName": "Doe",
"company": "Acme Inc",
"plan": "professional",
"createdAt": "2026-01-01T10:00:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z"
}
{
"message": "API key context not found"
}
Account Management
Get Account Profile
This endpoint retrieves the profile for the authenticated user.
curl -X GET https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const profile = await response.json();
{
"id": "user_abc123def456",
"email": "user@example.com",
"firstName": "Jane",
"lastName": "Doe",
"company": "Acme Inc",
"plan": "professional",
"createdAt": "2026-01-01T10:00:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z"
}
{
"message": "API key context not found"
}
Was this page helpful?
⌘I